# Class DrugStringValue

Namespace
  adas_core.Domain.Models.Observations

Assembly
  adas-core.Domain.dll

Serves as an abstract base class for drug values represented as strings, extending DrugValue.

    public abstract class DrugStringValue : DrugValue

Inheritance
  object
  DrugValue
  DrugStringValue

Derived
  Drug
  PumpActiveSources
  PumpMode
  PumpStatus

Inherited Members
  DrugValue.Id
  DrugValue.Text
  DrugValue.Units
  DrugValue.Time
  DrugValue.CodingSystem
  DrugValue.Result
  DrugValue.Copy(DrugValue)
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

Inherits from DrugValue and is intended to be derived by concrete classes that encapsulate string-typed drug data associated with a PumpElement.

## Constructors

### DrugStringValue(PumpElement)

Serves as an abstract base class for drug values represented as strings, extending DrugValue.

    protected DrugStringValue(PumpElement pumpElement)

#### Parameters

`pumpElement` PumpElement

#### Remarks

Inherits from DrugValue and is intended to be derived by concrete classes that encapsulate string-typed drug data associated with a PumpElement.

## Properties

### Value

    public string? Value { get; set; }

#### Property Value

string